package com.duben.heliapp.utils

import android.os.Build
import com.duben.heliapp.common.Constant

object VersionUtils {

    /**
     * 判断是否是Android L版本
     *
     * @return
     */
    fun isAndroidL(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP
    }

    /**
     * 判断是否是Android N版本
     *
     * @return
     */
    fun isAndroidN(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.N
    }

    /**
     * 判断是否是AndroidO版本
     *
     * @return
     */
    fun isAndroidO(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.O
    }

    /**
     * 判断是否是Android P版本
     *
     * @return
     */
    fun isAndroidP(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.P
    }

    /**
     * 判断是否是Android Q版本
     *
     * @return
     */
    fun isAndroidQ(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.Q
    }

    fun getEndPkg(): String {
        var endPkg = ""
        try {
            val split = Constant.MINTS_PKG_NAME.split(".")
            val size = split.size
            endPkg = split[size - 1]
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return endPkg
    }
}